# 81. Zapytanie: Pobierz GeoJSON dla „EquationMap”

Pobierz GeoJSON "EquationMaps" filtrowane według `equationMapUuids`.

Atrybut `equationMapGeojson` zawierający GeoJSON z `Poligony` lub `MultiPoligonami` zawierający atrybuty cech geoprzestrzennych, takie jak `id`, `value` i `pole` w zdefiniowanych jednostkach.

Kluczowe informacje:

* Parametr `asMultiGeometry: true` oznacza, że `Poligony` (komórki „Mapy równań”) zostaną połączone w `MultiPoligony` na podstawie `value` atrybutu każdej komórki „Mapy równań”.
* Powierzchnię wyjściową można skonfigurować za pomocą `parametru jednostki` Dostępne opcje: `AKRY`,  `HEKTARY`, `METRY_KWADRATOWE`

{% code overflow="wrap" lineNumbers="true" %}

```graphql
zapytanie GetEquationMapGeometries {
  getFields (filter: {fieldUuid: "<placeholder_of_farm_uuid>"}) {
    fields {
      equationMaps(equationMapUuids: ["<placeholder_of_equationmap_uuid>"]) {
        equationMapGeojson(unit: HECTARES, asMultiGeometry: true)        
      }
    }
  }
}
```

{% endcode %}

Jeśli geometrie nie są wymagane (potrzebne są tylko atrybuty), to istnieje `attributesJson` zamiast `equationMapGeojson` do użycia.

{% code overflow="wrap" lineNumbers="true" %}

```graphql
zapytanie GetEquationMapAttributes {
  getFields (filter: {fieldUuid: "<placeholder_of_farm_uuid>"}) {
    fields {
      equationMaps(equationMapUuids: ["<placeholder_of_equationmap_uuid>"]) {
        attributesJson(unit: HECTARES, asMultiGeometry: true)        
      }
    }
  }
}
```

{% endcode %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.geopard.tech/geopard-tutorials/pl/dokumentacja-api/przeglad-zapytan-api-geopard/81.-zapytanie-pobierz-geojson-dla-equationmap.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
